Bug 994439 - The org.infinispan.statetransfer.StateTransferCacheLoaderFunctionalTest (StateTransferFunctionalTest) tests fail periodically
The org.infinispan.statetransfer.StateTransferCacheLoaderFunctionalTest (Stat...
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity low
: ---
: EAP 6.4.0
Assigned To: Paul Ferraro
Jitka Kozana
Russell Dickenson
Infinispan testsuite
:
Depends On: 876967
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 06:02 EDT by Richard Janík
Modified: 2014-08-29 10:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 876967
Environment:
Last Closed: 2014-08-29 10:47:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2522 Major Resolved The org.infinispan.statetransfer.StateTransferCacheLoaderFunctionalTest (StateTransferFunctionTest) tests fail periodica... 2017-01-17 07:14 EST

  None (edit)
Comment 1 Richard Janík 2013-08-07 06:07:34 EDT
Stacktrace:

Error Message

expected:<1357> but was:<null>

Stacktrace

java.lang.AssertionError: expected:<1357> but was:<null>
	at org.junit.Assert.fail(Assert.java:93)
	at org.junit.Assert.failNotEquals(Assert.java:647)
	at org.junit.Assert.assertEquals(Assert.java:128)
	at org.junit.Assert.assertEquals(Assert.java:147)
	at org.infinispan.statetransfer.StateTransferFunctionalTest.writingThreadTest(StateTransferFunctionalTest.java:399)
	at org.infinispan.statetransfer.StateTransferFunctionalTest.testSTWithWritingTxThread(StateTransferFunctionalTest.java:287)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
	at java.lang.reflect.Method.invoke(Method.java:611)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80)
	at org.testng.internal.InvokeMethodRunnable.runOne(InvokeMethodRunnable.java:46)
	at org.testng.internal.InvokeMethodRunnable.run(InvokeMethodRunnable.java:37)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:450)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:314)
	at java.util.concurrent.FutureTask.run(FutureTask.java:149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931)
	at java.lang.Thread.run(Thread.java:738)


Standard output is at:

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Infinispan/job/eap-6x-infinispan-rhel-matrix/39/jdk=ibm16,label=RHEL5_x86_64/testReport/org.infinispan.statetransfer/StateTransferFunctionalTest/testSTWithWritingTxThread/
Comment 4 Paul Ferraro 2014-08-29 10:47:13 EDT
Fixed upstream by ISPN-2522.

Note You need to log in before you can comment on or make changes to this bug.